* This do-file produces the ideology validation shown in the second panel of 
* Figure A1 in the Appendix. 

* Open Shor/McCarty state legislator ideology dataset
use "state legislator scores may 2013.dta", clear

* Keep only state senators from 2008, since those are the individuals for whom 
* we collected Catalist ideology measures
keep if senate2008==1

* Sort the data by state and district 
ren st state
sort state st_id

* Merge in dataset that includes the ideology estimate extracted from Catalist
* for legislators who we could successfully match into the dataset
merge state st_id using catalist_ideology

* Flip direction of the ideology score from Shor/McCarty to match direction of 
* Catalist scores
replace np_score=np_score*-1

* Place ideology score from Catalist on 0 to 100 scale
replace ideology=(ideology*5)+2.5

* Correlate two ideology measures
corr np_score ideology

* Create scatter plot of ideology measures
twoway scatter ideology np_score, aspect(1) msymbol(.) msize(tiny) mcolor(black) || lfit ideology np_score if np_score>-2, lc(black) legend(off) ytitle("Catalist ideology estimate") xtitle("Roll call vote ideology estimate") text(43 2 "r = .81") xlabel(-3 -2 -1 0 1 2 3)
graph export legislator_comparison.pdf, replace
